﻿label start:
    $ chaos = 0
    $ elsahacking = 0
    $ restingup = 0
    $ incorrect = "false"
    $ koscontrolencounter = "false"
    $ jrinisolation = "false"
    $ strangersinroom = "false"
    $ momoisbunny = "false"
    $ fixingthebridge = "false"
    $ tothedurandalbridge = "false"
    $ talkingontheElsabridge = "false"
    $ durandalblown = "false"
    $ ziggymolested = "false"
    $ allenweird = "false"
    
    stop music
    scene select_bg with fade
    "Please select the character to begin."
    $ result = renpy.imagemap("character_unselected.png", "character_selected.png", [
        (290, 76, 420, 360, "begin"),
        ], focus="imagemap")
    if result == "begin":
        play sound "sfx/character_choice.ogg"
        scene black with Dissolve(1.5)
        with Pause(1)
        jump begin
label begin:    
    play music "Music/elsa.ogg"
    scene ziggymaintenance with fade
    show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30) 
    voice "Voice Acting/momo1.ogg"
    m "\"How does it feel, Ziggy?\""
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo2.ogg"
    z "\"It's good, though my left hand is experiencing lag. Reaction rate passes 0.022.\""
    voice "Voice Acting/momo3.ogg"
    m "\"Left hand, huh? Fighting must have worn it out, so it'd be best to exchange it with new parts later.\""
    voice "Voice Acting/momo4.ogg"
    z "\"Alright, I will.\""
    hide ziggychair neutral with dissolve
    play sound "sfx/door_medium.ogg"
    show chaos smile with dissolve
    voice "Voice Acting/momo5.ogg"
    c "\"Hey, how is your work going?\""
    voice "Voice Acting/momo6.ogg"
    m "\"Oh, chaos!\""
    hide chaos smile with dissolve
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo7.ogg"
    z "\"Did something happen?\""
    hide ziggychair with dissolve
    show chaos smile with dissolve
    voice "Voice Acting/momo8.ogg"
    c "\"No, I'm going shopping, but I thought I would ask if you needed anything.\""
    hide chaos with dissolve
label firstmenu:
menu:    
    "Go to B1 corridor":
       m  "Oh, I still haven't finished Ziggy's adjustment.  I have to finish it fast or else Ziggy will feel bad."
       jump firstmenu
       
    "Think":
        m "chaos really takes care of everyone on the Elsa.  I must work hard and help everyone too."
        jump firstmenu
      
    "Talk to chaos":
        voice "Voice Acting/momo14.ogg"
        m "\"Um, I would like a frying pan.  Actually, Shion has been teaching me how to cook, but the Elsa's frying pan is too big for me.\""
        show chaos smile with dissolve
        voice "Voice Acting/momo15.ogg"
        c "\"Okay, MOMO wants a frying pan.\""
        voice "Voice Acting/momo16.ogg"
        m_happy "\"Thank you!\""
        hide chaos smile with dissolve
        $ chaos += 1
        if chaos >= 2:
            jump chaosleaves
        else:
            jump firstmenu 
            
    "Talk to Ziggy":
        voice "Voice Acting/momo9.ogg"
        m "\"Ziggy, what are you asking for?\""
        voice "Voice Acting/momo10.ogg"
        m "\"I asked for a frying pan!\""
        show ziggychair neutral behind zmaintenance with dissolve
        voice "Voice Acting/momo11.ogg"
        z "\"Frying pan? What for?\""
        voice "Voice Acting/momo12.ogg"
        m "\"For cooking, of course! Shion has been teaching me how to cook lately. I will make a lot yummy things for you, too!\""
        voice "Voice Acting/momo13.ogg"
        z "\"I see. I'm looking forward to it.\""
        hide ziggychair neutral with dissolve
        $ chaos += 1
        if chaos >= 2:
            jump chaosleaves
        else:
            jump firstmenu        
        
label chaosleaves:
    scene ziggymaintenance with fade
    show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    show chaos smile with dissolve
    voice "Voice Acting/momo17.ogg"
    c "\"Well, I'm going shopping. MOMO, I will get you something cute.\""
    voice "Voice Acting/momo18.ogg"
    m "\"Ok, take care!\""
    hide chaos smile with dissolve
    play sound "sfx/walk.ogg"
    with Pause(1)
    voice "Voice Acting/momo19.ogg"
    m "\"So then, let's continue the adjustments!\""
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo20.ogg"
    z "\"Alright.\""
    play sound "sfx/door_medium.ogg"
    with Pause(1)
    voice "Voice Acting/momo21.ogg"
    m "\"Oh, Shion!\""
    hide ziggychair neutral behind zmaintenance with dissolve
    show Shion neutral with dissolve
    voice "Voice Acting/momo22.ogg"
    s "\"Is everything alright here, MOMO?\""
    voice "Voice Acting/momo23.ogg"
    m_surprise "\"Huh? Is everything okay?\""
    hide Shion neutral with dissolve
label secondmenu:
    menu:
        "Go to B1 Corridor":
            m "I can't! I still haven't finished Ziggy's adjustment."
            jump secondmenu
        "Think":
            m "Shion's brain waves are distorted...She seems to be in a hurry.  I wonder what happened?"
            jump secondmenu
        "Talk to Shion":
            voice "Voice Acting/momo24.ogg"
            m "\"Did something happen?\""
            show Shion mad with dissolve
            voice "Voice Acting/momo25.ogg"
            s "\"It looks like there are some problems with the Durandal's mainframe.\""
            voice "Voice Acting/momo26.ogg"
            m "\"An abnormality?\""
            voice "Voice Acting/momo27.ogg"
            m "\"Perhaps something has happened to KOS-MOS too?\""
            show Shion neutral
            voice "Voice Acting/momo28.ogg"
            s "\"No, she is all right.  You know,  because she's pretty tough.\""
            voice "Voice Acting/momo29.ogg"
            m "\"Thank goodness...Shion, don't do anything reckless.\""
            show Shion mad
            voice "Voice Acting/momo30.ogg"
            s "\"Uh... What's that supposed to mean?\""
            hide Shion mad with dissolve
            $ chaos += 1
            if chaos >= 4:
                jump shionleaves
            else:
                jump secondmenu
        "Talk to Ziggy":
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo31.ogg"
            z "\"Did something happen?\""
            voice "Voice Acting/momo32.ogg"
            m "\"It looks like something has happened on the Durandal. The mother frame is down.\""
            voice "Voice Acting/momo33.ogg"
            z "\"The enemy wasn't there?\""
            voice "Voice Acting/momo34.ogg"
            m "\"Umm, I think the fact that the government didn't respond to the enemy's power is a good thing. With Shion in such a rush, maybe she caused it.\""
            hide ziggychair neutral with dissolve
            $ chaos += 1
            if chaos >= 4:
                jump shionleaves
            else:
                jump secondmenu
label shionleaves:
    scene ziggymaintenance with fade
    show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    show Shion neutral with dissolve
    voice "Voice Acting/momo35.ogg"
    s "\"Ok then, I will go check around Durandal for a little bit.\""
    hide Shion neutral with dissolve
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo36.ogg"
    z "\"A lot of people are coming in this morning...\""
    voice "Voice Acting/momo37.ogg"
    m "\"You're right, people are just coming one after another.\"" 
    show ziggychair sad
    voice "Voice Acting/momo38.ogg"
    m "\"Ah! What's wrong, Ziggy? Are you hurt somewhere?\""
    voice "Voice Acting/momo39.ogg"
    z "\"No, it's just getting lonely somehow...\""
    play sound "sfx/door_medium.ogg"
    voice "Voice Acting/momo40.ogg"
    m "\"Oh, it's Jr. this time.\""
    hide ziggychair sad with dissolve
    show jr surprised with dissolve
    voice "Voice Acting/momo41.ogg"
    j "\"Huh? This time what?\""
    hide jr surprised with dissolve
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo42.ogg"
    z "\"It's nothing, just something we were talking about.\""
    hide ziggychair neutral with dissolve
label thirdmenu:
    menu:
        "Go to B1 corridor":
            m "Geez, I can't leave Ziggy behind...But what happened?  There is nothing urgent to do outside."
            jump thirdmenu
        "Think":
            m "Jr. also looks like he's in a hurry.  Shion said that there was some abnormality on the Durandal.  Maybe this is the reason?"
            jump thirdmenu
        "Talk to Jr.":
            voice "Voice Acting/momo43.ogg"
            m "\"Jr., did something happen to the Durandal?\""
            show jr smile with dissolve
            voice "Voice Acting/momo44.ogg"
            j "\"No, it was just a prank. It isn't a big deal.\""
            voice "Voice Acting/momo45.ogg"
            m "\"It was just a prank?\""
            hide jr smile with dissolve
            $ chaos += 1
            if chaos >= 6:
                jump jrleaves
            else:
                jump thirdmenu
        "Talk to Ziggy":
            voice "Voice Acting/momo46.ogg"
            m "\"Is the Durandal's condition bad?\""
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo47.ogg"
            z "\"No, damage itself isn't so bad. There is no need to worry.\""
            voice "Voice Acting/momo48.ogg"
            m "\"Thank goodness.\"" 
            hide ziggychair neutral with dissolve
            $ chaos += 1
            if chaos >= 6:
                jump jrleaves
            else:
                jump thirdmenu
                
label jrleaves:
    scene ziggymaintenance with fade
    show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    show jr smile with dissolve
    voice "Voice Acting/momo49.ogg"
    j "\"See ya, old man. Sorry, but I'm counting on you.\""
    play sound "sfx/run.ogg"
    hide jr smile with dissolve
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo50.ogg"
    z "\"Er, there are so many visitors today. MOMO, let's finish the adjustment.\""
    voice "Voice Acting/momo51.ogg"
    m "\"Ok!\""
    voice "Voice Acting/momo52.ogg"
    cm "\"Hey, is Miss 100-Series there?\""
    voice "Voice Acting/momo53.ogg"
    m_surprise "\"Oh, Captain! Has something happened?\""
    voice "Voice Acting/momo54.ogg"
    cm_surprise "\"Sorry for asking, but we need your help on the bridge. I'm counting on you!\""
    voice "Voice Acting/momo55.ogg"
    m_sigh "\"Ziggy...\""
    voice "Voice Acting/momo56.ogg"
    m_sigh "\"Ziggy...I'm sorry. May I go to the captain for a moment?\""
    voice "Voice Acting/momo57.ogg"
    z_sigh "\"Yes, I don't mind. Don't worry about me.\""
    hide ziggychair neutral with dissolve
label leavingziggy:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement1
            
        "Check adjustment tab":
            m_sigh "Just when Ziggy's adjustment is almost done...Ziggy, I'm sorry."
            jump leavingziggy
        "Talk to Ziggy":
            voice "Voice Acting/momo58.ogg"
            m "\"Then, please bear with it for the moment. After this, I will make you shiny!\""
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo59.ogg"
            z "\"I know...\""
            hide ziggychair neutral with dissolve
            jump leavingziggy

label checkingonziggy:
    voice "Voice Acting/momo133.ogg"
    m "\"Ziggy!\""
    show ziggychair neutral behind zmaintenance with dissolve
    voice "Voice Acting/momo134.ogg"
    z "\"Oh, MOMO?\"" 
    hide ziggychair neutral with dissolve
label checkingonziggycont:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump elsabasementother
            else:
                jump elsabasement1
        "Check adjustment tab":
            m "The adjustment is still halfway complete. Ziggy was silently waiting for my return. I need to hurry up so I can finish it!"
            jump checkingonziggycont
        "Talk to Ziggy":
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo135.ogg"
            z "\"I've been waiting for you. Sorry, but could you quickly...\""
            voice "Voice Acting/momo136.ogg"
            m "\"I'm sorry, Ziggy! Please wait a little longer before we continue your adjustment.\""  
            show ziggychair sad behind zmaintenance
            voice "Voice Acting/momo137.ogg"
            z "\"Oh...Alright, I don't mind. Your work is more important.\""
            voice "Voice Acting/momo138.ogg"
            m "\"I'll get back as soon as I get done.\""
            hide ziggychair sad with dissolve
            jump checkingonziggycont
label elsabasement1:
    menu:
        "KOS-MOS's control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump kossycontrolroom
        "Ziggy's control room":
            scene ziggymaintenance with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump checkingonziggy
            if tothedurandalbridge == "false":
                jump leavingziggy
        "Go to the hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump wanderthehangar
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump thefirstfloor2
            else:
                jump thefirstfloor
        "Think":
            m "The captain said that I have to go to the bridge."
            jump elsabasement1
            
label elsabasementother:
    menu:
        "KOS-MOS's control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump kossycontrolroom
        "Ziggy's control room":
            scene ziggymaintenance with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump checkingonziggy
            if tothedurandalbridge == "false":
                jump leavingziggy
        "Go to the hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump wanderthehangar
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump thefirstfloor2
            
label kossycontrolroom:
    if koscontrolencounter == "third":
        jump talkingtoKOSMOS
    if tothedurandalbridge == "true":
        voice "Voice Acting/momo123.ogg"
        m "\"KOS-MOS, it looks like you're still waiting. Shion still hasn't come back yet?\""
        show KOSMOS neutral with dissolve
        voice "Voice Acting/momo124.ogg"
        k "\"Shion is currently in her room along with Allen.\""
        voice "Voice Acting/momo125.ogg"
        m "\"I see.  Poor KOS-MOS, you're alone... I will call those two here for you!\""
        voice "Voice Acting/momo126.ogg"
        k "\"Shh, Shh, Shh! MOMO, you do not understand the situation. Under these circumstances, we can't interfere with Shion's and Allen's actions.\""
        voice "Voice Acting/momo127.ogg"
        m_surprise "\"Huh, really?\""
        voice "Voice Acting/momo128.ogg"
        k_surprise "\"Yes, that was Jr.'s suggestion.\""
        voice "Voice Acting/momo129.ogg"
        m "\"Hmm...\""
        hide KOSMOS neutral with dissolve
        $ koscontrolencounter = "third"
        jump talkingtoKOSMOS
    if koscontrolencounter == "false":
        voice "Voice Acting/momo60.ogg"
        m_surprise "\"KOS-MOS...Did something happen to you?\""
        show KOSMOS neutral with dissolve
        voice "Voice Acting/momo61.ogg"
        k_surprise "\"There is currently some abnormality on the Durandal. Because of that, my adjustment work has been suspended.\""
        voice "Voice Acting/momo62.ogg"
        m "\"Oh, you're talking about the mother frame. I heard about that from Shion. She had to go to the Durandal.\""
        voice "Voice Acting/momo63.ogg"
        k "\"Yes, I was ordered to remain  in standby mode until she returns.\""
        hide KOSMOS neutral with dissolve
        $ koscontrolencounter = "true"
        jump talkingtoKOSMOS
label talkingtoKOSMOS:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump elsabasementother
            else:
                jump elsabasement1
        "Investigate":
            if koscontrolencounter == "third":
                m "KOS-MOS is amazing. She knows many difficult things that I don't understand. I need to study a lot more!"
                jump talkingtoKOSMOS
            else:
                m "KOS-MOS must feel sad and lonely, being alone like this. Ziggy must feel lonely too. I need  to hurry up and get back to him soon."
                jump talkingtoKOSMOS
        "Talk to KOS-MOS":
            if koscontrolencounter == "third":
                show KOSMOS neutral with dissolve
                voice "Voice Acting/momo130.ogg"
                m "\"Why can't we interfere?\""
                voice "Voice Acting/momo131.ogg"
                k "\"Jr. said not to interfere, but to monitor them.\""
                voice "Voice Acting/momo132.ogg"
                m_upset "\"Monitor? Hmm, that is complicated. I don't really get it.\""
                hide KOSMOS neutral with dissolve
                jump talkingtoKOSMOS
            else:
                voice "Voice Acting/momo64.ogg"
                m "\"KOS-MOS, you're like Ziggy. He is waiting in the middle of his adjustment too.\""
                show KOSMOS neutral with dissolve
                voice "Voice Acting/momo65.ogg"
                k "\"Who ordered this?\""
                voice "Voice Acting/momo66.ogg"
                m_surprise "\"Um, I asked him.\""
                voice "Voice Acting/momo67.ogg"
                k_surprise "\"Understood. Ziggy is currently waiting because of MOMO's order.\""
                voice "Voice Acting/momo68.ogg"
                m_surprise "\"What!? Ziggy is following my order?  But I don't have the authority to give him orders...\""
                hide KOSMOS neutral with dissolve
                jump talkingtoKOSMOS

label wanderthehangar:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump elsabasementother
            if tothedurandalbridge == "hacked":
                jump elsabasement2
            else:
                jump elsabasement1
        "Think":
            if tothedurandalbridge == "true":
                m "Ummm, it looks like there aren't any problems. It won't help anything if I stay here."
                jump wanderthehangar
            else:
                m "Normally, the A.G.W.S. robot family are maintenanced here.  But they were moved to the Durandal."
                jump wanderthehangar
    
label thefirstfloor:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement1
        "Go to the bridge":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump workingonthebridge
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump inthecabin
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    if tothedurandalbridge == "true":
                        with hpunch
                        play sound "sfx/fall.ogg"
                        voice "Voice Acting/momo139.ogg"
                        m_surprise "\"Kyyaaa!\""
                        show professor mad with dissolve
                        voice "Voice Acting/momo140.ogg"
                        p_surprise "\"Ouchie!\""
                        voice "Voice Acting/momo141.ogg"
                        m_surprise "\"Ah, I'm sorry! Are you alright?\""
                        voice "Voice Acting/momo142.ogg"
                        p_surprise "\"It hurts. My butt is going to be red later thanks to that! If I was a large-scale combat vehicle, I would have turned into a scrap heap.\""
                        voice "Voice Acting/momo143.ogg"
                        m_surprise "\"Um, I'm sorry... Ah!? You're Robot Academy's Professor!\""
                        show professor neutral
                        voice "Voice Acting/momo144.ogg"
                        p "\"Huh? Hm? Do we know each other from somewhere?\""
                        voice "Voice Acting/momo145.ogg"
                        m "\"Yes, I'm MOMO. 100-Series Realian, MOMO. Don't you remember?\""
                        voice "Voice Acting/momo146.ogg"
                        p "\"MOMO?  But my favorite food is white peaches...\""
                        show professor neutral at left with move
                        show scott mad at right with dissolve
                        voice "Voice Acting/momo147.ogg"
                        sc "\"Ahh, Professor! What are you doing in a place like this?!\""
                        voice "Voice Acting/momo148.ogg"
                        m "\"Oh, Scott. Good afternoon!\""
                        show scott neutral behind durandal_dock
                        voice "Voice Acting/momo149.ogg"
                        sc "\"Huh, ah!? 100-MOMO? Go, good afternoon! Um, we are in a hurry. I'm very sorry!!\""
                        voice "Voice Acting/momo150.ogg"
                        sc "\"Hey, Professor, please hurry up. He, hehe...\""
                        "Scott seemed to be hiding something. While dragging the Professor with him, Scott left with an artificial smile."
                        hide professor neutral with dissolve
                        hide scott neutral with dissolve
                        voice "Voice Acting/momo151.ogg"
                        m_surprise "\"Eh?... what's going on? Did something happen?\""
                        with Pause(1)
                        play sound "sfx/drop_light.ogg"
                        voice "Voice Acting/momo152.ogg"
                        m_surprise "\"Huh?  Did something fall on the floor?\""
                        $ tothedurandalbridge = "almost"
                        jump professordroppedsomething
                    else:
                        jump exploringdurandal
                "No":
                    jump thefirstfloor
        "Think":
            m "Captain is waiting for me. I must hurry to the bridge!"
            jump thefirstfloor
            
label thefirstfloor2:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasementother
        "Go to the bridge":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump failedadjustments
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump inthecabin
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    if tothedurandalbridge == "true":
                        with hpunch
                        voice "Voice Acting/momo139.ogg"
                        m_surprise "\"Kyyaaa!\""
                        show professor mad with dissolve
                        voice "Voice Acting/momo140.ogg"
                        p_surprise "\"Ouchie!\""
                        voice "Voice Acting/momo141.ogg"
                        m_surprise "\"Ah, I'm sorry! Are you alright?\""
                        voice "Voice Acting/momo142.ogg"
                        p_surprise "\"It hurts. My butt is going to be red later thanks to that! If I was a large-scale combat vehicle, I would have turned into a scrap heap.\""
                        voice "Voice Acting/momo143.ogg"
                        m_surprise "\"Um, I'm sorry... Ah!? You're Robot Academy's Professor!\""
                        show professor neutral
                        voice "Voice Acting/momo144.ogg"
                        p "\"Huh? Hm? Do we know each other from somewhere?\""
                        voice "Voice Acting/momo145.ogg"
                        m "\"Yes, I'm MOMO. 100-Series Realian, MOMO. Don't you remember?\""
                        voice "Voice Acting/momo146.ogg"
                        p "\"MOMO?  But my favorite food is white peaches...\""
                        show professor neutral at left with move
                        show scott mad at right with dissolve
                        voice "Voice Acting/momo147.ogg"
                        sc "\"Ahh, Professor! What are you doing in a place like this?!\""
                        voice "Voice Acting/momo148.ogg"
                        m "\"Oh, Scott. Good afternoon!\""
                        show scott neutral behind durandal_dock
                        voice "Voice Acting/momo149.ogg"
                        sc "\"Huh, ah!? 100-MOMO? Go, good afternoon! Um, we are in a hurry. I'm very sorry!!\""
                        voice "Voice Acting/momo150.ogg"
                        sc "\"Hey, Professor, please hurry up. He, hehe...\""
                        "Scott seemed to be hiding something. While dragging the Professor with him, Scott left with an artificial smile."
                        hide professor neutral with dissolve
                        hide scott neutral with dissolve
                        voice "Voice Acting/momo151.ogg"
                        m_surprise "\"Eh?... what's going on? Did something happen?\""
                        with Pause(1)
                        play sound "sfx/drop_light.ogg"
                        voice "Voice Acting/momo152.ogg"
                        m_surprise "\"Huh?  Did something fall on the floor?\""
                        $ tothedurandalbridge = "almost"
                        jump professordroppedsomething
                    else:
                        jump exploringdurandal
                "No":
                    jump thefirstfloor
                    
label professordroppedsomething:
    menu:
        "Think":
            m "Somehow, everyone looks to be in a hurry. I wonder if the Durandal's accident was bigger than I thought?"
            jump professordroppedsomething
        "Pick up":
            voice "Voice Acting/momo153.ogg"
            m "\"What's that? It's look like some kind of control disc... Did the Professor drop it? I'll give it back later.\""
            voice "Voice Acting/momo154.ogg"
            m_surprise "\"Ah, anyway, I need to get to the bridge now!\""
            jump exploringdurandal

label workingonthebridge:
    if fixingthebridge == "false":
        voice "Voice Acting/momo88.ogg"
        m "\"Captain, I'm sorry I'm late!\""
        show matthews neutral with dissolve
        voice "Voice Acting/momo89.ogg"
        cm "\"Oh, you finally came. Go, sit beside Hammer and adjust the sensors. I'm counting on you.\""
        voice "Voice Acting/momo90.ogg"
        m "\"Understood!\""
        hide matthews neutral with dissolve
        $ fixingthebridge = "true"
    menu:
        "Go to residential area":
            show matthews neutral with dissolve
            voice "Voice Acting/momo104.ogg"
            cm "\"Hey, hey, we're still working, right? Where are you off to?\""
            hide matthews neutral with dissolve
            jump workingonthebridge
        "Talk to Matthews":
            show matthews neutral with dissolve
            voice "Voice Acting/momo91.ogg"
            cm "\"The Durandal has an abnormality? I didn't notice it at all. There aren't any problems here. No need to worry about it.\""
            voice "Voice Acting/momo92.ogg"
            m "\"So, it would be okay to not worry about it?\""
            voice "Voice Acting/momo93.ogg"
            cm "\"Anyway, little miss, hurry up and make the adjustment!\""
            voice "Voice Acting/momo94.ogg"
            m_surprise "\"Ah, right!\""
            hide matthews neutral with dissolve
            jump workingonthebridge
        "Talk to Tony":
            show tony neutral behind ebridge with dissolve
            voice "Voice Acting/momo95.ogg"
            t "\"Hey! MOMO, are you going to help with the adjustments?\""
            voice "Voice Acting/momo96.ogg"
            m "\"Yes! Um, I will help you with everything I can!\""
            voice "Voice Acting/momo97.ogg"
            t "\"Ok, OK! Well then, when you finish the adjustment, your cool, big brother will buy you something delicious.\""
            voice "Voice Acting/momo98.ogg"
            m_happy "\"Really?!\""
            show tony neutral at right with move
            show hammer neutral at left with dissolve
            voice "Voice Acting/momo99.ogg"
            ha_happy "\"Hehehe.  Tony, you'll have a bullet-riddled body by Little Master if you make any advances on MOMO.\""
            hide tony neutral with dissolve
            hide hammer neutral with dissolve
            jump workingonthebridge
        "Talk to Hammer":
            show hammer neutral with dissolve
            voice "Voice Acting/momo100.ogg"
            m "\"Hammer, please watch over me while we work!\""
            voice "Voice Acting/momo101.ogg"
            ha "\"No, no, you being here has really saved me. Our captain has a habit to push all of the work on others and not do any himself...\""
            show hammer neutral at left with move
            show matthews mad at right with dissolve
            voice "Voice Acting/momo102.ogg"
            cm "\"I heard that, you idiot!\""
            voice "Voice Acting/momo103.ogg"
            ha "\"That hurts!\""
            hide hammer neutral with dissolve
            hide matthews mad with dissolve
            jump workingonthebridge
        "Start making adjustments":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo105.ogg"
            m_surprise "\"Huh?\""
            show hammer neutral with dissolve
            voice "Voice Acting/momo106.ogg"
            ha_surprise "\"Something the matter, MOMO?\""
            voice "Voice Acting/momo107.ogg"
            m "\"We can't adjust because of an error. I think it's probably because of the link with the Durandal's mother frame was cut off.\""
            show hammer neutral at left with move
            show matthews neutral at right behind ebridge with dissolve
            voice "Voice Acting/momo108.ogg"
            cm "\"What? You mean there's no response from the mother frame?\""
            voice "Voice Acting/momo109.ogg"
            m "\"That's right... It's propably because of the abnormalities that occurred on the Durandal.\""
            voice "Voice Acting/momo110.ogg"
            cm "\"Hey, hey, don't even joke about that. We can't do any damn maintenance because of it.\""
            voice "Voice Acting/momo111.ogg"
            cm "\"Little miss, sorry, but you need to go to the Durandal's bridge and ask about the situation.\""
            voice "Voice Acting/momo112.ogg"
            m "\"Ah, ok!\""
            hide hammer neutral with dissolve
            hide matthews neutral with dissolve
            $ tothedurandalbridge = "true"
label failedadjustments:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump thefirstfloor2
        "Talk to Matthews":
            show matthews neutral with dissolve
            voice "Voice Acting/momo113.ogg"
            cm "\"Geez, what are they doing?  When will we be able to go and make some money?\""
            voice "Voice Acting/momo114.ogg"
            m "\"That's right, you won't be able to pay off your debt if this keeps up. Umm, if you want, you can have my pocket money.\""
            voice "Voice Acting/momo115.ogg"
            cm "\"... Idiot. If I did that, I would be killed by Little Master and the cyborg.\""
            voice "Voice Acting/momo116.ogg"
            cm "\"Don't think about unnecessary things. Hurry up to the Durandal's bridge and check the situation!\""
            hide matthews with dissolve
            jump failedadjustments
        "Talk to Tony":
            show tony neutral with dissolve
            voice "Voice Acting/momo117.ogg"
            t "\"MOMO, I'm sorry, but you should hurry. If we keep waiting like this, I'll go crazy!\""
            voice "Voice Acting/momo118.ogg"
            m_surprise "\"Hm, right! I'll hurry up!\""
            show tony neutral at left with move
            show hammer neutral at right behind ebridge with dissolve
            voice "Voice Acting/momo119.ogg"
            ha_surprise "\"Don't worry about it, MOMO. That guy's head was already messed up to begin with.\""
            hide tony neutral with dissolve
            hide hammer neutral with dissolve
            jump failedadjustments
        "Talk to Hammer":
            show hammer neutral with dissolve
            voice "Voice Acting/momo120.ogg"
            ha "\"The mother frame's abnormality can be checked here too. It doesn't look like a mere accident either.\""
            voice "Voice Acting/momo121.ogg"
            m_upset "\"No way, do you think it was an attack? But there aren't any signs of enemy forces around here, right?\""
            voice "Voice Acting/momo122.ogg"
            ha_upset "\"Well, being on guard won't hurt.\""
            hide hammer neutral with dissolve
            jump failedadjustments
            
label exploringdurandal:
    menu:
        "Go to the Elsa":
            if tothedurandalbridge == "almost":
                m "I didn't finish my work so I can't go back yet. Captain asked me to go to the Durandal, so I better hurry up and go there."
                jump exploringdurandal
            else:
                menu:
                   "Go to the Elsa?"
                   "Yes":
                       scene black with fade
                       with Pause(2)
                       play music "Music/elsa.ogg"
                       scene elsa residence with fade
                       show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                       jump thefirstfloor
                   "No":
                       jump exploringdurandal
        "Go to the bridge":
            scene durandalbridge with fade
            show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump onthedurandalbridge
        "Go to isolated area":
            scene isolatedarea with fade
            show durandal_isolated at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringisolated
        "Go to residential area":
            scene residence with fade
            show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringresidence
        "Go to the Foundation":
            menu:
                "Go to the Foundation?"    
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/foundation.ogg"
                    scene ironbar with fade
                    show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringfoundation
                "No":
                    jump exploringdurandal
        "Think":
            m "This place is the Durandal's dock area. From here, you can reach any other area of the Durandal and the Foundation."
            if tothedurandalbridge == "false":
                m "But right now, let's go to the Elsa's bridge."
            jump exploringdurandal
            
label onthedurandalbridge:
    if tothedurandalbridge == "hacked":
        jump talkingwithdurandalcrew
    if tothedurandalbridge == "almost":
        show mary smile with dissolve
        voice "Voice Acting/momo163.ogg"
        ma "\"Oh, is that you, MOMO? I'm sorry, but I don't have time to play with you right now.\""
        voice "Voice Acting/momo164.ogg"
        m "\"Um, I didn't come to play. I came because of Captain Matthews's request...\""
        voice "Voice Acting/momo165.ogg"
        ma "\"Captain Matthews's request?\""
        voice "Voice Acting/momo166.ogg"
        m "\"Yes.  Because of a lost link to the mother frame, the Elsa can't be adjusted. I came to check on the situation.\""
        voice "Voice Acting/momo167.ogg"
        ma "\"I see.  That's a bummer.\""
        voice "Voice Acting/momo168.ogg"
        m_upset "\"Um, as I thought, it was caused by the abnormality, right? Did something happen to the mother frame?\""
        show mary smile at left with move
        show shelley at right behind durandal_bridge with dissolve
        voice "Voice Acting/momo169.ogg"
        sh_upset "\"Don't worry,  MOMO. We cut off functionality of the mother frame temporarily because someone tried to hack it.\""
        voice "Voice Acting/momo170.ogg"
        ma_upset "\"Yeah, that's right. It will still take more time to restart the mother frame. Sorry.\""
        voice "Voice Acting/momo171.ogg"
        ma_upset "\"Pass that on to Captain Matthews.\""
        hide mary smile with dissolve
        hide shelley with dissolve
        $ tothedurandalbridge = "hacked"
        jump talkingwithdurandalcrew
            
    if momoisbunny == "false":
        voice "Voice Acting/momo74.ogg"
        m "\"Umm...Good afternoon.\""
        show mary smile with dissolve
        voice "Voice Acting/momo75.ogg"
        ma "\"Oh, Bunny!\""
        voice "Voice Acting/momo76.ogg"
        m_surprise "\"Huh, Bunny? Um, I'm MOMO, not Bunny!\""
        voice "Voice Acting/momo77.ogg"
        ma_surprise "\"Ah, don't worry about that; it's just something we talked about earlier.   If I say anything more, I will get punished by Little Master later.\""
        voice "Voice Acting/momo78.ogg"
        m_surprise "\"Jr. would...punish you?\""
        hide mary smile with dissolve
        $ momoisbunny = "true"
    menu:
       "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal
       "Think":
            m "Many of my sisters work hard here. I can't lose to them!"
            jump onthedurandalbridge
       "Talk to Mary":
            voice "Voice Acting/momo79.ogg"
            m "\"Umm, I heard there are some problems with the mother frame.\""
            show mary smile with dissolve
            voice "Voice Acting/momo80.ogg"
            ma "\"That's right.  MOMO, I'm sorry.  We can play together after fixing all of this mess.\""
            voice "Voice Acting/momo81.ogg"
            m "\"Ah, don't worry about me.\""
            hide mary smile with dissolve
            jump onthedurandalbridge
       "Talk to Shelley":
            voice "Voice Acting/momo82.ogg"
            m "\"Umm, how is the situation looking?\""
            show shelley with dissolve
            voice "Voice Acting/momo83.ogg"
            sh "\"You're worried about it, aren't you? Thank you very much for the concern.\""
            voice "Voice Acting/momo84.ogg"
            m "\"Umm, can I help with anything?\""
            voice "Voice Acting/momo85.ogg"
            sh "\"No need to, everything is all right. With so many of your sisters here, we can remain calm.\""
            hide shelley with dissolve
            jump onthedurandalbridge
       "Talk to 100-Series":
            show hundredseries smile with dissolve
            voice "Voice Acting/momo86.ogg"
            hundred "\"Attract inhibitor output at 130 percent!  Restart scanning of infection route!\""
            voice "Voice Acting/momo87.ogg"
            m "\"Everyone is amazing. I couldn't expect less from my sisters.\""
            hide hundredseries smile with dissolve
            jump onthedurandalbridge
            
label talkingwithdurandalcrew:
    menu:
       "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal2
       "Talk to Mary":
            show mary smile with dissolve
            voice "Voice Acting/momo172.ogg"
            ma "\"Well, it's probably just a prank.  It'll be all right. Little Master is looking for the culprit right now.\""
            hide mary smile with dissolve
            jump talkingwithdurandalcrew         
       "Talk to Shelley":
            voice "Voice Acting/momo173.ogg"
            m "\"Did you find the culprit?\""
            show shelley with dissolve
            voice "Voice Acting/momo174.ogg"
            sh "\"No, but with Little Master's excitement, I believe he'll find him soon. Between those two, I would worry more over Little Master's over enthusiasm.\""
            hide shelley with dissolve
            jump talkingwithdurandalcrew       
       "Talk to 100-Series":
            show hundredseries smile with dissolve
            voice "Voice Acting/momo175.ogg"
            hundred "\"It's okay, MOMO. We'll protect the mother frame.\""
            hide hundredseries smile with dissolve
            jump talkingwithdurandalcrew        
            
            
label exploringresidence:
    if strangersinroom == "third":
        menu:
            "Go to the dock":
                scene durandock with fade
                show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump exploringdurandal
            "Think":
                m "If I'm not supposed to interfere then I have to hide. It's making my heart beat faster."
                jump exploringresidence
            "Monitor":
                voice "Voice Acting/momo158.ogg"
                m "\"Staaaaaare.\""
                voice "Voice Acting/momo159.ogg"
                s "\"No, it's nothing important. It's about Allen...\""
                voice "Voice Acting/momo160.ogg"
                s "\"Oh, no need. It's nothing in particular. Anyway, I will be back soon.\""
                voice "Voice Acting/momo161.ogg"
                m "\"It seems as though she is communicating with someone.\""
                voice "Voice Acting/momo162.ogg"
                m_surprise "\"I wonder what that was about? Did something happen to Allen?\""
                jump exploringresidence
                
    if koscontrolencounter == "third":
        voice "Voice Acting/momo155.ogg"
        m_surprise "\"Oh, it's Shion!\""
        "Before MOMO called out to Shion, she remembered her talk with KOS-MOS from earlier."
        scene kosmoscontrolflash with pixellate
        show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        show KOSMOS flashback with dissolve
        voice "Voice Acting/momo156.ogg"
        k "\"Shh, Shh, Shh! MOMO, you do not understand the situation. Under these circumstances, we can't interfere with Shion's and Allen's actions.\""
        scene residence with pixellate
        show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        voice "Voice Acting/momo157.ogg"
        m_surprise "\"Ah, that's right. She suggested to watch and not interfere.\""
        $ strangersinroom = "third"
        jump exploringresidence      
        
    if strangersinroom == "true":
        menu:
            "Go to the dock":
                scene durandock with fade
                show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump exploringdurandal
            "Think":
                m "It sounds like there are two guests inside. But since my sensors are failing, I can't say who those two people are."
                jump exploringresidence
        
    if strangersinroom == "false":
        voice "Voice Acting/momo72.ogg"
        m "\"Here is Shion's room. Oh, it looks like there are some people in her room...\""
        voice "Voice Acting/momo73.ogg"
        m "\"A guest, probably...I better not disturb them.\""
        $ strangersinroom = "true"
    menu:
        "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal
        "Think":
            m "It sounds like there are two guests inside. But since my sensors are failing, I can't say who those two people are."
            jump exploringresidence
            
label exploringisolated:
    if jrinisolation == "false":
        voice "Voice Acting/momo69.ogg"
        m "\"Oh, Jr.! ...What are you doing?\""
        show jr smile with dissolve
        voice "Voice Acting/momo70.ogg"
        j "\"Oh, MOMO?  Unfortunately, I don't have time to play. Sorry.\""
        hide jr smile with dissolve
        voice "Voice Acting/momo71.ogg"
        m "\"Ah, Jr.! ...Has something happened?\""
        $ jrinisolation = "true"
    menu:
        "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal
        "Investigate":
            if tothedurandalbridge == "almost":
                m "It doesn't look like anything happened here. If something happend to the Zohar Emulator, it would be problematic. The security must be pretty tight."
                m "But what will Jr. and the others do with so many Emulators?"
                jump exploringisolated
            else:
                m "The Zohar emulators don't appear to have any abnormalities."
                jump exploringisolated
            
label exploringfoundation:
    menu:
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringdurandal
                "No":
                    jump exploringfoundation
        "Talk to person":
            if tothedurandalbridge == "almost":
                civ "\"Huh, the Durandal? It's in a completely different direction. You need to ride the transporter in the dock area.\""
                jump exploringfoundation
            else:
                civ "\"Oh, little miss, where are you from? Did you get lost?\""
                jump exploringfoundation
        
            
label inthecabin:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            if tothedurandalbridge == "true":
                jump thefirstfloor2
            else:
                jump thefirstfloor
        "Think":
            if tothedurandalbridge == "true":
                m "Uh, this place is the Durandal's bridge... wait, no it isn't! There is no time for playing around. Let's hurry up and go to the bridge."
                jump inthecabin
            else:
                m "This is the captain's and the others' room. It's clean thanks to chaos.  I should emulate his work too!"
                jump inthecabin
            
label quiz:
    show bunny still at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos =200) with dissolve
    with Pause(1)
    show bunny animate at  Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =200)with move
    show quizlogo at Position(xanchor = 0.5, yanchor = 0.5, xpos = 150, ypos =100) with dissolve
label question1:
    $ question = "1"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 1: \n Who did Matthews ask MOMO to work beside?"
        
        "Matthews":
             hide clock
             play sound "sfx/wrong.ogg"
             "Incorrect!"
             $ incorrect = "true"
             jump question1
        "chaos":
             hide clock
             play sound "sfx/wrong.ogg"
             "Incorrect!"
             $ incorrect = "true"
             jump question1
        "Hammer":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question2
        "Allen":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question1
            
            
            
label incorrect:
    hide clock
    play sound "sfx/wrong.ogg"
    "Incorrect!"
    $ incorrect = "true"
    if question == "1":
        jump question1
    if question == "2":
        jump question2
    if question == "3":
        jump question3
    if question == "4":
        jump question4
    if question == "5":
        jump question5
    
label question2:
    $ question = "2"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 2: \n Who gives KOS-MOS advice to not interfere with Allen?"
        
        "Shion":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
        "Tony":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
        "chaos":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question2
        "Jr.":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question3
            
label question3:
    $ question = "3"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 3: \n What is one of Professor's favorite foods?"
        
        "Lemon":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
        "White peach":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question4
        "Mandarin":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
        "Honey":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question3
            
label question4:
    $ question = "4"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 4: \n What is the main drive engine of an A.G.W.S.?"
        
        "Logical drive":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
        "Nuclea engine":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
        "Transfer type generator":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump question5
        "Battery":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question4
            
label question5:
    $ question = "5"
    show clock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 300, ypos = 130)
    $ ui.timer(10.0, ui.jumps("incorrect"))
    menu:
        "Question 5: \n How long is the Elsa lengh in meters?"
        
        "166 meters":
            hide clock
            play sound "sfx/correct.ogg"
            "Correct!"
            jump quizoutcome  
        "57 meters":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
        "1032 meters'":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
        "287 meters":
            hide clock
            play sound "sfx/wrong.ogg"
            "Incorrect!"
            $ incorrect = "true"
            jump question5
            
label quizoutcome:
    scene kosmoscontrol with Dissolve(1.5)
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    voice "Voice Acting/momo340.ogg"
    m "\"Hurray! With this, I can disable the nanovirus!!\""
    "Clutching the frying pan, MOMO finds her resolve to fight."
    voice "Voice Acting/momo341.ogg"
    m "\"Alright! KOS-MOS, I'm going to save you now!\""
    
label finalKOSMOSroom:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalmenu2
        "Think":
            m "Removal program is complete.  If I enter this directly into KOS-MOS, she will be restored!"
            m "I wonder if KOS-MOS is still in the hangar..."
            jump finalKOSMOSroom
            
label finalmenu2:
    menu:
        "KOS-MOS's control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalKOSMOSroom
        "Ziggy's control room":
            scene destroyedziggymain with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalZiggyroom
        "Go to the hangar":
            scene jrandkosmosduel with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalhangar
        "Go to residential area":
            m_upset "The elevator isn't moving.  It still can't go up."
            jump finalmenu2
            
label finalZiggyroom:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalmenu2
        "Investigate the adjustment chair":
            m_upset "KOS-MOS isn't here. I need to hurry to the hangar!"
            jump finalZiggyroom
            
label finalhangar:
    voice "Voice Acting/momo342.ogg"
    k_upset "\"Please stand back, Shion.  I intend to eliminate the enemy who inflicted pain on you.\""
    voice "Voice Acting/momo343.ogg"
    s_upset "\"KOS-MOS, calm down. Jr. isn't your enemy.\""
    voice "Voice Acting/momo344.ogg"
    k_upset "\"Acquisitioning the target. Locked on.\""
    voice "Voice Acting/momo345.ogg"
    j_upset "\"Hehe, this is exciting.  I wanted at least one more fight with you!\""
    voice "Voice Acting/momo346.ogg"
    k_upset "\"It's useless. You can't win against me.\""
    
label showdown:
    menu:
        "Go to B1 corridor":
            m_upset "What do I do? Jr. and Shion are already here. Uhh, I can't run away! I need to help everyone."
            jump showdown
        "Stop them":
            voice "Voice Acting/momo347.ogg"
            k_upset "\"Unlocking limiter, adjusting to maximum output.\""
            voice "Voice Acting/momo348.ogg"
            s_upset "\"Wh, wh, wh, wh, what are you doing?!  KOS-MOS!!\""
            "KOS-MOS sets her sights squarely on Jr.  He glares at KOS-MOS but stands completely still. Within that moment, each one has their finger on a trigger..."
            scene MOMOfryingpanattack
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo349.ogg"
            m_upset "\"{size=+12}{color=#f00}Stooop ittttttt!!!!!!{/color}{/size}\""
            play sound "sfx/fryingpan.ogg"
            with hpunch
            with hpunch
            play music "Music/elsa.ogg"
            voice "Voice Acting/momo350.ogg"
            m "\"Calm down, both of you, please! Fighting is bad!\""
            voice "Voice Acting/momo351.ogg"
            m "\"If you won't listen to me, then I'll, I'll...\""
            voice "Voice Acting/momo352.ogg"
            s "\"No, MOMO . You should calm down too...\""
            voice "Voice Acting/momo353.ogg"
            s "\"Anyway, this frying pan...Where did you get it?\""
            scene unconciousJrandKOSMOS
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo354.ogg"
            m_sigh "\"Umm, my attack wasn't strong enough?  I'm not very strong...\""
            voice "Voice Acting/momo355.ogg"
            s_sigh "\"No, it was enough. They're both lying unconcious...\""
            
label afterbattle:
    menu:
        "Talk to KOS-MOS":
            voice "Voice Acting/momo356.ogg"
            k "\" MOMO, I'm sorry, but due to noise, I can't hear you very well.\""
            voice "Voice Acting/momo357.ogg"
            m_sigh "\"Uh, I'm sorry.\""
            $ restingup += 1
            if restingup >= 4:
                jump fixingKOSMOS
            else:
                jump afterbattle
        "Talk to Shion":
            voice "Voice Acting/momo358.ogg"
            s "\"MOMO, you did a great job stopping those two. Still, I think you hit a little too hard...\""
            voice "Voice Acting/momo359.ogg"
            m "\".... hehe.\""
            $ restingup += 1
            if restingup >= 4:
                jump fixingKOSMOS
            else:
                jump afterbattle
        "Talk to Jr.":
            voice "Voice Acting/momo360.ogg"
            m_sigh "\"Jr.! Jr.! Please, wake up!\""
            voice "Voice Acting/momo361.ogg"
            j_sigh "\"Ughh...\""
            $ restingup += 1
            if restingup >= 4:
                jump fixingKOSMOS
            else:
                jump afterbattle
        "Talk to Allen":
            voice "Voice Acting/momo362.ogg"
            a "\"Really, it was a brutal attack.  MOMO has such a strong power inside of her.\""
            voice "Voice Acting/momo363.ogg"
            m_sigh "\"Um, I went beserk.  Next thing I knew, Jr and KOS-MOS were on the floor...\""
            voice "Voice Acting/momo364.ogg"
            a_sigh "\"Anyway, I need to be careful and not anger you from now on.\""
            $ restingup += 1
            if restingup >= 4:
                jump fixingKOSMOS
            else:
                jump afterbattle
label fixingKOSMOS:
    scene black with Dissolve(1.5)
    scene kosmoscontrol with fade
    show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    "Shion is cleaning and adjusting KOS-MOS as she lies in her maintenance unit. Beside Shion stands MOMO, helping with adjustments."
    show Shion neutral with dissolve
    voice "Voice Acting/momo365.ogg"
    s "\"KOS-MOS, how are you feeling?\""
    show Shion neutral at left with move
    show KOSMOS neutral at right behind koscontrol with dissolve
    voice "Voice Acting/momo366.ogg"
    k "\"There are no problems. Everything is within normal parameters.\""
    voice "Voice Acting/momo367.ogg"
    m "\"Everything will be okay now.  Activation of this program will stop the nanovirus.\""
    voice "Voice Acting/momo368.ogg"
    k "\"Thank you very much, MOMO.\""
    voice "Voice Acting/momo369.ogg"
    s "\"After this, we can finally take a break.  Who would ever suspect that the main cause of this fiasco was Allen?\""
    voice "Voice Acting/momo370.ogg"
    k "\"Vice Chief is currently  undergoing questioning on the Durandal.\""
    show Shion happy
    voice "Voice Acting/momo371.ogg"
    s "\"I see.  Jr. and the rest will wear him out. Well, he caused so much trouble, so it can't be helped. When he comes back, he will need to do a mountain of paperwork as an apology.\""
    voice "Voice Acting/momo372.ogg"
    m_sigh "\"Poor Allen...\""
    voice "Voice Acting/momo373.ogg"
    k_sigh "\"Don't worry. Allen is stronger than he looks.\""
    scene black with Dissolve(1.5)
    play music "Music/durandal.ogg"
    scene durandalbridge with fade
    show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    show jr smug with dissolve
    voice "Voice Acting/momo374.ogg"
    j "\"H, hey, MOMO.\""
    voice "Voice Acting/momo375.ogg"
    m_surprise "\"Ah, Jr. Oh? What happened to you?!  Why is your cheek all red?\""
    voice "Voice Acting/momo376.ogg"
    j_surprise "\"Ah, don't worry about that. More importantly, take this...\""
    if incorrect == "false":
        scene presentonbridge
        show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    voice "Voice Acting/momo377.ogg"
    m_happy "\"Oh, a life-sized Bunny plushie!!\""
    voice "Voice Acting/momo378.ogg"
    j_happy "\"You said you wanted this, right? Becaused I caused you so much trouble, please accept this.\""
    voice "Voice Acting/momo379.ogg"
    m_happy "\"Um, thank you very much!  I'm very happy!\""
    "Jr. looks around because he felt someone looking at him. At the corner of the room stood KOS-MOS, staring at Jr. and MOMO."
    if incorrect == "true":
        show jr smug at left with move
        show KOSMOS neutral at right behind durandal_bridge with dissolve
    voice "Voice Acting/momo380.ogg"
    k "\"Staaaaaaare.\""
    if incorrect == "true":
        show jr surprised
    voice "Voice Acting/momo381.ogg"
    j "\"...\""
    voice "Voice Acting/momo382.ogg"
    m_surprise "\"Did something happen?\""
    voice "Voice Acting/momo383.ogg"
    j_surprise "\"No, just KOS-MOS staring this way.\""
    voice "Voice Acting/momo384.ogg"
    k "\"Staaaaaaare.\""
    voice "Voice Acting/momo385.ogg"
    m "\"Ah, didn't you teach her this, to keep monitoring without interfering in situations like this?\""
    voice "Voice Acting/momo386.ogg"
    j "\"...\""
    voice "Voice Acting/momo387.ogg"
    m "\"But, being monitored by everyone...is a little embarrassing.\""
    if incorrect == "true":
        hide KOSMOS neutral with dissolve
        show jr smug at center with move
    voice "Voice Acting/momo388.ogg"
    j "\"Everyone!?\""
    if incorrect == "true":
        show jr mad
    voice "Voice Acting/momo389.ogg"
    j "\"Everyone....\""
    if incorrect == "true":
        show jr factorscale
    voice "Voice Acting/momo390.ogg"
    j "\"{size=+12}{color=#f00}SHOW YOURSELVES!!{/color}{/size}\""
label credits:
    scene black with Dissolve(1.5)
    play music "Music/ending.ogg"
    scene credits1 with Dissolve(1.5)
    with Pause(5)
    scene credits2 with Dissolve(1.5)
    with Pause(5)
    scene credits3 with Dissolve(1.5)
    with Pause(5)
    scene credits4 with Dissolve(1.5)
    with Pause(5)
    scene credits5 with Dissolve(1.5)
    with Pause(5)
    scene credits8 with Dissolve(1.5)
    with Pause(5)
    scene credits6 with Dissolve(1.5)
    with Pause(5)
    scene credits7 with Dissolve(1.5)
    with Pause(5)
    scene black with Dissolve(1.5)
    with Pause(2)
    $ persistent.unlock_stage01 = True
    if incorrect == "false":
        $ persistent.unlock_stage02 = True
    
    return