label exploringdurandal2:
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/elsa.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    if allenweird == "true":
                        jump trekkingelsa
                    else:
                        jump headingtoelsabridge
                "No":
                    jump exploringdurandal2
        "Go to the bridge":
            scene durandalbridge with fade
            show durandal_bridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump onthedurandalbridge
        "Go to isolated area":
            scene isolatedarea with fade
            show durandal_isolated at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringisolated2
        "Go to residential area":
            scene residence with fade
            show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringresidence2
        "Go to the Foundation":
            menu:
                "Go to the Foundation?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/foundation.ogg"
                    scene ironbar with fade
                    show urban_area at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringfoundation2
                "No":
                    jump exploringdurandal2
            
label exploringresidence2:
    if strangersinroom == "true":
        menu:
            "Go to the dock":
                scene durandock with fade
                show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump exploringdurandal2
            "Think":
                m "It sounds like there are two guests inside. But since my sensors are failing, I can't say who those two people are."
                jump exploringresidence2
    if strangersinroom == "third":
        menu:
            "Go to the dock":
                scene durandock with fade
                show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                jump exploringdurandal2
            "Think":
                m "If I'm not supposed to interfere then I have to hide. It's making my heart beat faster."
                jump exploringresidence2
            "Monitor":
                voice "Voice Acting/momo158.ogg"
                m "\"Staaaaaare.\""
                voice "Voice Acting/momo159.ogg"
                s "\"No, it's nothing important. It's about Allen...\""
                voice "Voice Acting/momo160.ogg"
                s "\"Oh, no need. It's nothing in particular. Anyway, I will be back soon.\""
                voice "Voice Acting/momo161.ogg"
                m "\"It seems as though she is communicating with someone.\""
                voice "Voice Acting/momo162.ogg"
                m_surprise "\"I wonder what that was about? Did something happen to Allen?\""
                jump exploringresidence2
            
    if koscontrolencounter == "third":
        voice "Voice Acting/momo155.ogg"
        m_surprise "\"Oh, it's Shion!\""
        "Before MOMO called out to Shion, she remembered her talk with KOS-MOS from earlier."
        scene kosmoscontrolflash with pixellate
        show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        show KOSMOS flashback with dissolve
        voice "Voice Acting/momo156.ogg"
        k "\"Shh, Shh, Shh! MOMO, you do not understand the situation. Under these circumstances, we can't interfere with Shion's and Allen's actions.\""
        scene residence with pixellate
        show durandal_residence at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        voice "Voice Acting/momo157.ogg"
        m_surprise "\"Ah, that's right. She suggested to watch and not interfere.\""
        $ strangersinroom = "third"
        jump exploringresidence2        
        
    if strangersinroom == "false":
        voice "Voice Acting/momo72.ogg"
        m "\"Here is Shion's room. Oh, it looks like there are some people in her room...\""
        voice "Voice Acting/momo73.ogg"
        m "\"A guest, probably...I better not disturb them.\""
        $ strangersinroom = "true"
    menu:
        "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal2
        "Think":
            m "It sounds like there are two guests inside. But since my sensors are failing, I can't say who those two people are."
            jump exploringresidence2
            
label exploringisolated2:
    menu:
        "Go to the dock":
            scene durandock with fade
            show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump exploringdurandal2
        "Investigate":
            m "It doesn't look like anything happened here. If something happend to the Zohar Emulator, it would be problematic. The security must be pretty tight."
            m "But what will Jr. and the others do with so many Emulators?"
            jump exploringisolated2
          
label exploringfoundation2:
    menu:
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringdurandal2
                "No":
                    jump exploringfoundation2
        "Talk to person":
            civ "\"Huh? The Elsa?  Elsa is the name of my neighborhood's dog. Little girl, do you want a dog?\""
            jump exploringfoundation2
                
                
label headingtoelsabridge:
    voice "Voice Acting/momo176.ogg"
    m "\"Oh, Allen!\""
    show allen neutral with dissolve
    a "\"!?\""
    hide allen neutral with dissolve
    "Allen noticed MOMO when she called his name. Without losing a second, he hurried into the elevator."
    voice "Voice Acting/momo177.ogg"
    m_upset "\"What am I going to do? For some reason, both Shion and Allen are acting weird.\""
    $ allenweird = "true"
label trekkingelsa:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement2
        "Go to the bridge":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump reportingtomatthews
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump inthecabin2
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal.ogg"
                    scene durandock with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringdurandal2
                "No":
                    jump trekkingelsa
        "Think":
            m "What happened? He ran away after he saw me...Did I do something to upset him?"
            jump trekkingelsa
            
label inthecabin2:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump trekkingelsa
        "Think":
            m "It's too early to rest. I need to hurry up and give the report to the captain."
            jump inthecabin2
            
label elsabasement2:
    menu:
        "KOS-MOS's control room":
            m_surprise "Oh? It's locked. But it looks like KOS-MOS and Allen are inside.  Maybe they working on something important?"
            m_upset "There is noise interfering with my sensors. I can't tell what's going on inside."
            jump elsabasement2
        "Ziggy's control room":
            scene ziggymaintenance with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump checkingonZiggy2
        "Go to the hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump wanderthehangar
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump trekkingelsa
    
label checkingonZiggy2:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement2
        "Check adjustment tab":
            m "The adjustment is still halfway complete. Ziggy was silently waiting for my return. I need to hurry up so I can finish it!"
            jump checkingonZiggy2
        "Talk to Ziggy":
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo135.ogg"
            z "\"I've been waiting for you. Sorry, but could you quickly...\""
            voice "Voice Acting/momo136.ogg"
            m "\"I'm sorry, Ziggy! Please wait a little longer before we continue your adjustment.\""  
            show ziggychair sad behind zmaintenance
            voice "Voice Acting/momo137.ogg"
            z "\"Oh...Alright, I don't mind. Your work is more important.\""
            voice "Voice Acting/momo138.ogg"
            m "\"I'll get back as soon as I get done.\""
            hide ziggychair sad with dissolve
            jump checkingonZiggy2
            
label reportingtomatthews:
    show matthews neutral with dissolve
    voice "Voice Acting/momo178.ogg"
    cm "\"What? Hacked!?\""
    voice "Voice Acting/momo179.ogg"
    m "\"Yes. But it's just a prank, so we've been told not to worry about it. Jr. is already looking for the culprit.\""
    voice "Voice Acting/momo180.ogg"
    cm "\"What, then it's no use.\""
    voice "Voice Acting/momo181.ogg"
    cm "\"There is nothing we can do. Little miss, adjust as much as possible.\""
    voice "Voice Acting/momo182.ogg"
    m "\"Ok!\""
    hide matthews neutral with dissolve
label adjustingElsa:
    menu:
        "Go to residential area":
            m "I can't leave right now. I need to finish helping the captain."
            jump adjustingElsa
        "Talk to Matthews":
            show matthews neutral with dissolve
            voice "Voice Acting/momo183.ogg"
            cm "\"This is no time for talk, little miss. Hurry up and finish your work!\""
            hide matthews neutral with dissolve
            jump adjustingElsa
        "Talk to Tony":
            show tony neutral with dissolve
            voice "Voice Acting/momo184.ogg"
            t "\"Little Master is searching for the curplit? I feel bad for whoever it is. It will be like running into a beehive.\""
            hide tony neutral with dissolve
            jump adjustingElsa
        "Talk to Hammer":
            show hammer neutral with dissolve
            voice "Voice Acting/momo185.ogg"
            ha "\"I see, someone was hacking. That explains why the mother frame's bypass was cut.\""
            voice "Voice Acting/momo186.ogg"
            ha "\"Well, that's why the 100-Series are here. They make the perfect protection.\""
            hide hammer neutral with dissolve
            jump adjustingElsa
        "Make adjustments":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            play music "Music/emergency1.ogg"
            show matthews neutral at right behind ebridge with dissolve
            voice "Voice Acting/momo187.ogg"
            cm "\"What?  Hey!  What happened!\""
            show hammer freaked at Position(xanchor = 0, yanchor = 0, xpos = -50, ypos =00) with dissolve
            voice "Voice Acting/momo188.ogg"
            ha "\"W, we're being hacked!  Someone is trying to interfere with the mainframe!\""
            voice "Voice Acting/momo189.ogg"
            m_upset "\"Hammer, expand the protective wall!  Leave the controls to me!\""
            voice "Voice Acting/momo190.ogg"
            ha_upset "\"Got it!  I'll leave it to you, MOMO!\""
            voice "Voice Acting/momo191.ogg"
            m_upset "\"Alright!\""
            hide matthews neutral with dissolve
            show tony neutral at right behind ebridge with dissolve
            voice "Voice Acting/momo192.ogg"
            t_upset "\"Hey, Hammer, you didn't catch the enemy's position!?\""
            voice "Voice Acting/momo193.ogg"
            ha_upset "\"I'm doing it right now!  Okay, I found the whereabouts of the criminals!  Tch!  That's impossible!\""
            hide hammer freaked with dissolve
            show matthews mad at left with dissolve
            voice "Voice Acting/momo194.ogg"
            cm_upset "\"Hurry up and spit it out!\""
            hide tony neutral with dissolve
            show hammer freaked behind ebridge at Position(xanchor = 0, yanchor = 0, xpos = 250, ypos =00) with dissolve
            voice "Voice Acting/momo195.ogg"
            ha_upset "\"It, it's being hacked from KOS-MOS's control room!!\""
            hide hammer freaked with dissolve
            hide matthews mad with dissolve
label hackinginprocess:
    menu:
        "Go to residential area":
            m_upset "No! I can't leave! If I do, the Elsa will be taken over!!"
            jump hackinginprocess
        "Talk to Matthews":
            show matthews mad with dissolve
            voice "Voice Acting/momo196.ogg"
            cm_upset "\"Shit.  For what reason would they want to break into the Elsa's mainframe?! What are the Durandal guys doing?!\"" 
            hide matthews mad with dissolve
            $ elsahacking += 1
            if elsahacking >= 3:
                jump MOMOishacked
            else:
                jump hackinginprocess
        "Talk to Tony":
            show tony mad with dissolve
            voice "Voice Acting/momo197.ogg"
            t_upset "\"Geez, I don't get it!  Why would they want to take over such a poor ship like this one?\""
            voice "Voice Acting/momo198.ogg"
            t_upset "\"The only thing they could gain is its massive debt!\""
            hide tony mad with dissolve
            $ elsahacking += 1
            if elsahacking >= 3:
                jump MOMOishacked
            else:
                jump hackinginprocess
        "Talk to Hammer":
            show hammer freaked with dissolve
            voice "Voice Acting/momo199.ogg"
            ha_upset "\"It's no use!  It's helpless!  They've completely taken over the mainframe!\""
            hide hammer freaked with dissolve
            $ elsahacking += 1
            if elsahacking >= 3:
                jump MOMOishacked
            else:
                jump hackinginprocess
            
label MOMOishacked:
    scene elsa bridge with fade
    show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    "MOMO desperately tried  to prevent  the enemy's attacks. With an unusually stern look in her eyes, she focused only on the console before her."
    show hammer neutral with dissolve
    voice "Voice Acting/momo200.ogg"
    ha_upset "\"How does it look, MOMO?\""
    voice "Voice Acting/momo201.ogg"
    m_upset "\"They're constantly surpassing the protective wall.  With my reaction speed, I can't protect it.\""
    show hammer freaked
    voice "Voice Acting/momo202.ogg"
    ha_upset "\"That's impossible!  No human can interfere with you, MOMO!\""
    show hammer freaked at Position(xanchor = 0, yanchor = 0, xpos = -50, ypos =00) with move
    show matthews mad at right behind ebridge with dissolve
    voice "Voice Acting/momo203.ogg"
    cm_upset "\"Then what is it?  You sayin' the culprit is a monster!?\""
    hide hammer freaked with dissolve
    hide matthews mad with dissolve
    voice "Voice Acting/momo204.ogg"
    m_surprise "\"Kyaa!\"" 
    stop music
    play sound "sfx/fall.ogg"
    scene MOMOfall with hpunch
    show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    voice "Voice Acting/momo205.ogg"
    ha_closed "\"MOMO!?\""
    scene black with Dissolve(1.5)
    voice "Voice Acting/momo206.ogg"
    cm_closed "\"Hey, are you alr... g...\""
    with Pause(2)
    play music "Music/consciousness_momo.ogg"
    scene sakurahouse with pixellate
    show consciousness at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
    voice "Voice Acting/momo207.ogg"
    m "\"What is this place...?\""
    voice "Voice Acting/momo208.ogg"
    m_upset "\"A cat?\""
    show sakura with dissolve
    voice "Voice Acting/momo209.ogg"
    m_surprise "\"Oh...\""
    voice "Voice Acting/momo210.ogg"
    m "\"Who...are you?\""
label talkingtoSakura:
    menu:
        "Think":
            m "Somehow... I feel slightly nostalgic."
            jump talkingtoSakura
        "Talk to girl":
            voice "Voice Acting/momo211.ogg"
            m "\"Ummm, I'm 100-Series Realian prototype MOMO. What is this place? Could you tell me your name?\""
            hide sakura with dissolve
            "Hearing MOMO's voice, the girl smiled. Without uttering a word, she ran off into the field."
            voice "Voice Acting/momo212.ogg"
            m_surprise "\"Ah, wait!\""
label watchingthepast:
    menu:
        "Go inside the house":
            scene insidehouse with fade
            show consciousness at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo213.ogg"
            m_upset "\"I'm sorry for the disturbance...\""
            voice "Voice Acting/momo214.ogg"
            m_upset "\"...Excuse me.\""
            show jr urtv with dissolve
            voice "Voice Acting/momo215.ogg"
            ru_upset "\"Sakura? Where are you? I came to play with you!\""
            voice "Voice Acting/momo216.ogg"
            m_upset "\"Jr...?\""
            voice "Voice Acting/momo217.ogg"
            ru_upset "\"It's ok, already...\""
            scene black with pixellate
            stop music
            play music "Music/emergency1.ogg"
            scene cabin with Dissolve(1.5)
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show Shion mad with dissolve
            voice "Voice Acting/momo218.ogg"
            s_upset "\"MOMO?  Are you okay?\""
            voice "Voice Acting/momo219.ogg"
            m_upset "\"Nn, a, Shion?\""
            voice "Voice Acting/momo220.ogg"
            s_upset "\"How are you feeling?\""
            voice "Voice Acting/momo221.ogg"
            m "\"Umm, it looks like I'm okay!\""
            show Shion neutral
            voice "Voice Acting/momo222.ogg"
            s "\"Thank goddness... For a moment, I didn't know if everything had gone right.\""
            voice "Voice Acting/momo223.ogg"
            m_happy "\"You came to help me! Thank you very much. It makes me very happy!\""
            voice "Voice Acting/momo224.ogg"
            m "\"Ah, right! Is everyone safe!?\""
            voice "Voice Acting/momo225.ogg"
            s "\"Yes, for now, everyone is fine.\""
            voice "Voice Acting/momo226.ogg"
            m "\"Thank goddness...There was a sudden intereference with the mother frame. I tried my best to prevent it...\""
            show Shion mad
            voice "Voice Acting/momo227.ogg"
            s "\"Yeah, I know. But if you couldn't prevent it, they couldn't have been human.\""
            voice "Voice Acting/momo228.ogg"
            m_upset "\"Because...it wasn't human.\""
            voice "Voice Acting/momo229.ogg"
            s_upset "\"What do you mean, MOMO?\""
            voice "Voice Acting/momo230.ogg"
            m_upset "\"The results of the scan before I collapsed indicated the access point from the mainframe the attack originated. It was from KOS-MOS' control room.\""
            show Shion gasp
            voice "Voice Acting/momo231.ogg"
            s_upset "\"!?... No way, it was KOS-MOS?\""
            voice "Voice Acting/momo232.ogg"
            m_upset "\"There's no doubt...It was KOS-MOS.\""
            voice "Voice Acting/momo233.ogg"
            m_upset "\"She's probably been infected with the same nanovirus as me.\""
            show Shion mad
            voice "Voice Acting/momo234.ogg"
            s_upset "\"No...That girl was...MOMO, do you know where KOS-MOS is?!\""
            voice "Voice Acting/momo235.ogg"
            m_upset "\"Yes.  Ummm, she's moving on to the Elsa's lower floor.\""
            voice "Voice Acting/momo236.ogg"
            m_upset "\"I will go there too and support Ziggy!\""
            hide Shion mad with dissolve
            jump inthecabin3
            
            
        "Think":
            m_upset "Such a soft...warm feeling. This is the first time I've been in this place but it feel like I know it from the past..."
            m_upset "It feels like it's a very important place..."
            jump watchingthepast
            
label inthecabin3:
    menu:
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump trackingKOSMOS
        "Talk to Shion":
            show Shion mad with dissolve
            voice "Voice Acting/momo237.ogg"
            s_upset "\"MOMO, it was definitely KOS-MOS?\""
            voice "Voice Acting/momo238.ogg"
            m_upset "\"Yes, there is no doubt...It was KOS-MOS.\""
            hide Shion mad with dissolve
            jump inthecabin3
    
    
label trackingKOSMOS:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement3
        "Go to the bridge":
            scene elsa bridge with fade
            show ebridge at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump visitElsabridge
        "Go to the cabin":
            scene cabin with fade
            show ecabin at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump inthecabin3
        "Go to the Durandal":
            menu:
                "Go to the Durandal?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/durandal_hacked.ogg"
                    scene durandockdestroyed with fade
                    show durandal_dock at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump exploringdurandal3
                "No":
                    jump trackingKOSMOS
            
label visitElsabridge:
    if talkingontheElsabridge == "false":
        show matthews neutral with dissolve
        voice "Voice Acting/momo239.ogg"
        cm "\"Oh?!  MOMO!\""
        show matthews neutral at left with move
        show tony neutral behind ebridge at right with dissolve
        voice "Voice Acting/momo240.ogg"
        t "\"MOMO!!\""
        hide matthews neutral with dissolve
        show hammer neutral at left with dissolve
        voice "Voice Acting/momo241.ogg"
        ha "\"MOMO! Thank goodness, you're safe.\""
        voice "Voice Acting/momo242.ogg"
        t "\"Seriously, I was worried for a moment.\""
        voice "Voice Acting/momo243.ogg"
        m_happy "\"Yeah, thank you for worrying about me!\""
        hide hammer neutral with dissolve
        show matthews neutral at left with dissolve
        voice "Voice Acting/momo244.ogg"
        cm_happy "\"Hey, you two! There's no time to talk or rest!\""
        hide matthews neutral with dissolve
        hide tony neutral with dissolve
        $ talkingontheElsabridge = "true"
menu:
    "Go to residential area":
        scene elsa residence with fade
        show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
        jump trackingKOSMOS
    "Talk to Matthews":
        voice "Voice Acting/momo245.ogg"
        m "\"Um, how is the ship's status?\""
        show matthews neutral with dissolve
        voice "Voice Acting/momo246.ogg"
        cm "\"It's not for you to worry about. You should go and rest. We will try to to do something about this.\""
        voice "Voice Acting/momo247.ogg"
        m_happy "\"Captain...You really are worrying about me!\""
        voice "Voice Acting/momo248.ogg"
        cm_happy "\"Do, don't say such stupid things. I said that you would be in the way of our work.\""
        hide matthews neutral with dissolve
        jump visitElsabridge
    "Talk to Tony":
        show tony neutral with dissolve
        voice "Voice Acting/momo249.ogg"
        t "\"Oh, while you were sleeping, both the Elsa and the Durandal were damaged.\""
        voice "Voice Acting/momo250.ogg"
        m_sigh "\"I'm sorry. If I had only tried harder, I would have been able to protect the Elsa...\""
        voice "Voice Acting/momo251.ogg"
        t_sigh "\"What are you saying? It could have been much worse. It's not such a big deal.\""
        hide tony neutral with dissolve
        jump visitElsabridge
    "Talk to Hammer":
        show hammer neutral with dissolve
        voice "Voice Acting/momo252.ogg"
        ha "\"It's good that you are okay, MOMO.  For a moment, I thought the worst.\""
        voice "Voice Acting/momo253.ogg"
        m "\"Thank you for worrying about me!\""
        voice "Voice Acting/momo254.ogg"
        ha "\"Now, because KOS-MOS is on a rampage, try not to wander around too much.\""
        hide hammer neutral with dissolve
        jump visitElsabridge

label exploringdurandal3:
    if durandalblown == "false":
        voice "Voice Acting/momo255.ogg"
        m_surprise "\"It's awful...The transporter and train are both completely destroyed.\""
        show mary mad with dissolve
        voice "Voice Acting/momo256.ogg"
        ma_surprise "\"Hey, you there! This road is blocked now.  Hurry up and leave the area!!\""
        voice "Voice Acting/momo257.ogg"
        m "\"Oh, Mary!\""
        show mary smile
        voice "Voice Acting/momo258.ogg"
        ma "\"Ah, it was you, MOMO?\""
        voice "Voice Acting/momo259.ogg"
        ma "\"As you can see, this dock is blocked right now. Sorry, I need to do something about this first.\""
        hide mary smile with dissolve
        $ durandalblown = "true"
    menu:
        "Go to the Elsa":
            menu:
                "Go to the Elsa?"
                "Yes":
                    scene black with fade
                    with Pause(2)
                    play music "Music/emergency1.ogg"
                    scene elsa residence with fade
                    show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
                    jump trackingKOSMOS
                "No":
                    jump exploringdurandal3
        "Go to the bridge":
            m "It's useless. I can't go anywhere because the train is broken."
            jump exploringdurandal3
        "Go to isolated area":
            m "It's impossible... With the train not working, I can't go to the other areas."
            jump exploringdurandal3
        "Go to residential area":
            m "No use...The train is broken, and now everyone has a problem because of it."
            jump exploringdurandal3
        "Go to the Foundation":
            m "The transporter was destroyed too. KOS-MOS has perfectly cut off all escape routes."
            jump exploringdurandal3
        "Think":
            m_upset "This too looks like the work of KOS-MOS. KOS-MOS, what has happend to you?\""
            jump exploringdurandal3
        "Talk to Mary":
            show mary smile with dissolve
            voice "Voice Acting/momo260.ogg"
            ma "\"I'm sorry, I need to fix this place. I don't have time to chat with you.\""
            hide mary smile with dissolve
            jump exploringdurandal3
            
label elsabasement3:
    menu:
        "KOS-MOS's control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump emptyKOSMOSroom
        "Ziggy's control room":
            scene destroyedziggymain with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump checkingonZiggy3
        "Go to the hangar":
            scene hangar with fade
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump wanderthehangar2
        "Go to residential area":
            scene elsa residence with fade
            show eresidential at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump trackingKOSMOS
            
label wanderthehangar2:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement3
        "Think":
            m "Even here, there are signs of destruction. But there are some traces of quick repairs...It couldn't have been KOS-MOS, so who made the repairs?"
            jump wanderthehangar2
         
label emptyKOSMOSroom:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump elsabasement3
        "Check adjustment tab":
            m_upset "The adjustment tab is destroyed...As I thought, something has happened to KOS-MOS."
            jump emptyKOSMOSroom
            
label checkingonZiggy3:
    if ziggymolested == "true":
        jump checkingonZiggy6
    if ziggymolested == "false":
        voice "Voice Acting/momo261.ogg"
        m "\"Jr.!\""
        show jr surprised with dissolve
        voice "Voice Acting/momo262.ogg"
        j "\"MOMO! You're safe!\""
        voice "Voice Acting/momo263.ogg"
        m_upset "\"Ziggy!? Jr., what happened here?\""
        show jr upset
        voice "Voice Acting/momo264.ogg"
        j_upset "\"KOS-MOS suddenly...old man was...Uuuh.\""
        voice "Voice Acting/momo265.ogg"
        m_surprise "\"Huh, You're not saying that Ziggy is...?\""
        hide jr upset with dissolve
        $ ziggymolested = "true"
label checkingonZiggy3point5:
    menu:
        "Go to B1 corridor":
            m_upset "It's Ziggy. I need to hurry up and check him first!"
            jump checkingonZiggy3point5
        "Think":
            m_upset " Thank goddness, Ziggy is still functioning. But there is still the danger that his consciousness might not come back. I need do something fast!"
            jump checkingonZiggy3point5
        "Talk to Jr.":
            show jr mad with dissolve
            voice "Voice Acting/momo266.ogg"
            j_upset "\"Dammit, old man.  We will avenge you!\""
            voice "Voice Acting/momo267.ogg"
            m_upset "\"Jr! Ziggy is still alive!\""
            show jr surprised
            voice "Voice Acting/momo268.ogg"
            j_upset "\"Huh, really?\""
            voice "Voice Acting/momo269.ogg"
            m "\"That's right!  He's just unconscious from shock.\""
            voice "Voice Acting/momo270.ogg"
            m "\"Ziggy, I will save you right now!\""
            hide jr surprised with dissolve
            $ ziggymolested = "recovering"
            jump checkingonZiggy4
            
label checkingonZiggy4:
    menu:
        "Go to B1 corridor":
            m_upset "It's Ziggy. I need to hurry up and check him first!"
            jump checkingonZiggy4
        "Think":
            m " The adjustment chair is broken here and there, so it will need to be fixed too. Ziggy, please wait, I will save you right away."
            jump checkingonZiggy4
        "Talk to Jr.":
            show jr surprised with dissolve
            voice "Voice Acting/momo271.ogg"
            j "\"MOMO, how does it look?  Can you help the old man?\""
            voice "Voice Acting/momo272.ogg"
            m "\"It will be alright. I will definitely help him!\""
            hide jr surprised with dissolve
            jump checkingonZiggy4
        "Start the readjustment":
            scene black with Dissolve(1.5)
            scene destroyedziggymain with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo273.ogg"
            m "\"Ziggy!\""
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo274.ogg"
            z "\"MOMO...?\""
            voice "Voice Acting/momo275.ogg"
            m "\"How are you feeling, Ziggy?\""
            voice "Voice Acting/momo276.ogg"
            z "\"I'm afraid not too well. I saw a nightmare I did not want to see.\""
            voice "Voice Acting/momo277.ogg"
            z "\"KOS-MOS was... What happened after that?\""
            hide ziggychair neutral with dissolve
            show jr smile with dissolve
            voice "Voice Acting/momo278.ogg"
            j "\"I don't know. She said 'nya, nya' and left.\"" 
            voice "Voice Acting/momo279.ogg"
            j "\"Anyway, it's clear that KOS-MOS wasn't acting normal.\""
            hide jr smile with dissolve
            jump checkingonZiggy5
            
label checkingonZiggy5:
    menu:
        "Think":
            m_happy "Thank goddness. Everything is alright now. Ziggy has fully recovered."
            jump checkingonZiggy5
        "Talk to Ziggy":
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo280.ogg"
            z "\"MOMO, you lost consciousness. Are you alright?\""
            voice "Voice Acting/momo281.ogg"
            m "\"Yes, Shion saved me. But when I came here I was really surprised.\""
            show ziggychair smile
            voice "Voice Acting/momo282.ogg"
            z "\"I'm sorry. You were a big help.\""
            voice "Voice Acting/momo283.ogg"
            m "\"Hehehe.\""
            hide ziggychair smile with dissolve
            jump checkingonZiggy5
        "Talk to Jr.":
            show jr smile with dissolve
            voice "Voice Acting/momo284.ogg"
            j "\"Anyway, we can't leave it like this.\""
            hide jr smile with dissolve
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo285.ogg"
            z "\"Right, the longer we wait the more damage there will be.\""
            hide ziggychair neutral with dissolve
            show jr smile with dissolve
            voice "Voice Acting/momo286.ogg"
            j "\"That's right. You go search for Allen. It's his fault that KOS-MOS has gone wild.\""
            hide jr smile with dissolve
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo287.ogg"
            z "\"Jr., are you going to stop KOS-MOS by yourself?\"" 
            hide ziggychair neutral with dissolve
            show jr mad with dissolve
            voice "Voice Acting/momo288.ogg"
            j "\"Yeah, I feel bad for Shion, but I will be serious this time.\""
            hide jr mad with dissolve
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo289.ogg"
            z "\"Ah, I understand. MOMO, do you know where KOS-MOS and Allen are?\""
            voice "Voice Acting/momo290.ogg"
            m "\"Yes! Um, Allen is in the Durandal's dock while KOS-MOS is on the Elsa's bridge.\""
            voice "Voice Acting/momo291.ogg"
            z "\"Listen, your opponent is KOS-MOS. You better not underestimate her.\""
            hide ziggychair neutral with dissolve
            show jr smile with dissolve
            voice "Voice Acting/momo292.ogg"
            j "\"I know, I've got it figured out.\""
            hide jr smile with dissolve
            jump checkingonZiggy6

label checkingonZiggy6:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show jr smile with dissolve
            voice "Voice Acting/momo296.ogg"
            j "\"How is it, old man?\""
            show jr smile at Position(xanchor = 0, yanchor = 0, xpos = -100, ypos =00) with move
            show ziggy neutral at Position(xanchor = 0, yanchor = 0, xpos = 250, ypos =00) behind b1 with dissolve
            voice "Voice Acting/momo297.ogg"
            z "\"No use, the elevator won't move.\""
            voice "Voice Acting/momo298.ogg"
            m "\"The Elsa's mainframe is down, so the ship's power is off.\""
            voice "Voice Acting/momo299.ogg"
            j "\"Can't you make it move using auxiliary power?\""
            voice "Voice Acting/momo300.ogg"
            m "\"Probably, but without the controls on the bridge, I can't do that.\""
            show jr mad
            voice "Voice Acting/momo301.ogg"
            j "\"Damn, then we can't go up.\""
            voice "Voice Acting/momo302.ogg"
            z "\"There isn't another route?\""
            voice "Voice Acting/momo303.ogg"
            m "\"Um, I found one! Ahead of us is the cargo receiving dock. We should be able to leave from there.\""
            show jr smile with dissolve
            voice "Voice Acting/momo304.ogg"
            j "\"Great, you did it, MOMO!\""
            voice "Voice Acting/momo305.ogg"
            z "\"MOMO, stay here and get the elevator running. Jr. and I will go up to the receiving dock. I'll leave the support to you.\""
            voice "Voice Acting/momo306.ogg"
            m "\"Okay, I understand.\""
            voice "Voice Acting/momo307.ogg"
            m "\"Um, you two, please don't over do it. KOS-MOS has done some bad things, but you shouldn't break her.\""
            voice "Voice Acting/momo308.ogg"
            z "\"Yes, I know.\""
            hide jr smile with dissolve
            hide ziggy neutral with dissolve
            jump workingontheelevator            
        "Think":
            m_happy "Thank goddness. Everything is alright now. Ziggy has fully recovered."
            jump checkingonZiggy6
        "Talk to Ziggy":
            show ziggychair neutral behind zmaintenance with dissolve
            voice "Voice Acting/momo280.ogg"
            z "\"MOMO, you lost consciousness. Are you alright?\""
            voice "Voice Acting/momo281.ogg"
            m "\"Yes, Shion saved me. But when I came here I was really surprised.\""
            show ziggychair smile
            voice "Voice Acting/momo282.ogg"
            z "\"I'm sorry. You were a big help.\""
            voice "Voice Acting/momo283.ogg"
            m "\"Hehehe.\""
            hide ziggychair smile with dissolve
            jump checkingonZiggy6
        "Talk to Jr.":
            show jr smile with dissolve
            voice "Voice Acting/momo293.ogg"
            m "\"I managed to save Ziggy.  I'm so happy.\""
            voice "Voice Acting/momo294.ogg"
            j "\"Yeah, you did great work.\""
            voice "Voice Acting/momo295.ogg"
            m "\"Thanks!\""
            hide jr smile with dissolve
            jump checkingonZiggy6
            
label workingontheelevator:
    menu:
        "Move":
            m "No, no, I'm going to wait here. I have to properly support  Jr and Ziggy."
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            show KOSMOS cat with dissolve
            voice "Voice Acting/momo309.ogg"
            k "\"Detecting the target. It's moving toward the elevator...nyan. Confirming the 100-series Prototype, MOMO, in front of it.  The target is nyaow behind MOMO nya.\""
            voice "Voice Acting/momo310.ogg"
            m_surprise "\"Ko, KOS-MOS!? What happened? Everyone is worried...\""
            voice "Voice Acting/momo311.ogg"
            k_surprise "\"MOMO, you will interfere with capture of the target if you stay here nya...Please move away nya.\""
            voice "Voice Acting/momo312.ogg"
            m_surprise "\"...Nya? Nya.. you say?\""
            voice "Voice Acting/momo313.ogg"
            m_upset "\"Ummm...What happend nya? Everyone is worried nya...\""
            voice "Voice Acting/momo314.ogg"
            k_upset "\"I repeat nya. Please leave this location...nya.\""
            voice "Voice Acting/momo315.ogg"
            k_upset "\"If you ignore this warning, I will need to use force nyan.\""
            voice "Voice Acting/momo316.ogg"
            m_upset "\"No use nya...She won't listen. It seems there is an abnormality in her language program.\""
            show KOSMOS catattack
            voice "Voice Acting/momo317.ogg"
            k_upset "\"MOMO has ignored my warning nya. From nyaow on, capturing the target takes top priority...nya.\""
            "Ignoring the terrified MOMO, KOS-MOS prepares for an assault. Quickly, MOMO manages to dodge the attack."
            voice "Voice Acting/momo318.ogg"
            m_surprise "\"Don't do it! Stop, please!\""
            voice "Voice Acting/momo319.ogg"
            k_surprise "\"Target locked. Begin shooting the target.\""
            jump confrontingKOSMOS        
        "Think":
            m "The elevator itself is in good condition. If only I could  do something about the power supply, then it should be able to move."
            jump workingontheelevator

label confrontingKOSMOS:
    menu:
        "Move":
            m_upset "It's impossible to out run KOS-MOS in this circumstance.  I'll need to use my last resort!"
            jump confrontingKOSMOS
        "Stop KOS-MOS":
            scene kosmosattackMOMO with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo320.ogg"
            m_upset "\"KOS-MOS, I'm sorry! I'm going to activate the Hilbert Effect!!\""
            "MOMO's body starts to emit a light.  This light surrounds KOS-MOS."
            play sound "sfx/brightness.ogg"
            scene white with fade
            scene kosmosattackMOMO with Dissolve(1.5)
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo321.ogg"
            k_upset "\"NYa, nya! Confirmed expansion of the Hilbert Effect by the 100-Series prototype nyaa. Various sensor functions have failed because of interference nyan.\""
            voice "Voice Acting/momo322.ogg"
            k_upset "\"It's impossible to continue the mission. Withdraw is recommended nya.\""
            with Pause(1)
            with vpunch
            with Pause(1)
            with vpunch
            voice "Voice Acting/momo323.ogg"
            m_surprise "\"Ah, KOS-MOS!  Please wait!\""
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo324.ogg"
            z_upset "\"What's going on? Did something happen?\""
            voice "Voice Acting/momo325.ogg"
            m_surprise "\"Ah, Ziggy! I saw KOS-MOS.\""
            voice "Voice Acting/momo326.ogg"
            m_upset "\"It looks like KOS-MOS was infected with the same nanovirus as me.\""
            voice "Voice Acting/momo327.ogg"
            m_upset "\"I will try to analyze the nanovirus right now.\""
            voice "Voice Acting/momo328.ogg"
            z_upset "\"Understood. From this side, I've spotted the possible perpetrator of this incident.\""
            voice "Voice Acting/momo329.ogg"
            m_upset "\"Ziggy, please don't over do it.\""
            voice "Voice Acting/momo330.ogg"
            z_upset "\"I know, you too.\""
            voice "Voice Acting/momo331.ogg"
            m "\"Yes!\""
            
label finalmenu:
    menu:
        "KOS-MOS's control room":
            scene kosmoscontrol with fade
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump emptyKOSMOSroom2
        "Ziggy's control room":
            scene destroyedziggymain with fade
            show zmaintenance at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump emptyZiggyroom
        "Go to the hangar":
            voice "Voice Acting/momo391.ogg"
            m_upset "\"Oh, it's locked...\""
            voice "Voice Acting/momo392.ogg"
            m_surprise "\"But I'm detecting signs inside! KOS-MOS? Are you in there!?\""
            scene hangar with slidedown
            show hangar_loc at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo393.ogg"
            m_upset "\"Ah! Um... Are you in there nyan?\""
            voice "Voice Acting/momo394.ogg"
            m_sigh "\"No use, she doesn't understand what I'm saying nya...\""
            scene elsa basement with slideup
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalmenu
        "Go to residential area":
            m_upset "No use. The elevator still isn't moving."
            jump finalmenu
        "Think":
            m_upset "If I don't help KOS-MOS quickly, the damage will keep spreading!"
            jump finalmenu
            
            
label emptyKOSMOSroom2:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalmenu
        "Investigate the adjustment tab":
            m_upset "This adjustment tab is propably broken due to KOS-MOS. The nanovirus was used here, and you must have gone out of control, right?"
            m_upset "If I investigate this adjustment tab, I may find a clue."
            voice "Voice Acting/momo332.ogg"
            play sound "sfx/big_explosion.ogg"
            m_surprise "\"Kya!\""
            with hpunch
            "Thrown off balance by the impact of the explosion, MOMO falls to the ground."
            voice "Voice Acting/momo333.ogg"
            m_surprise "\"Explosion in the hangar? Please don't let it be KOS-MOS!\""
            "The frying pan falls from the ceiling and lands on her head."
            scene MOMOhitonhead with hpunch
            play sound "sfx/fryingpan2.ogg"
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo334.ogg"
            m_surprise "\"It huuurts. Why is the frying pan in a place like this??\""
            voice "Voice Acting/momo335.ogg"
            m "\"But this frying pan, it's the perfect size for me. I wanted one like this.\""
            play sound "sfx/drop_light.ogg"
            "The item inside MOMO's pocket falls to the floor."
            voice "Voice Acting/momo336.ogg"
            m_surprise "\"It, it looks like something fell...\""
            jump emptyKOSMOSroom3
            
label emptyKOSMOSroom3:
    menu:
        "Go to B1 corridor":
            m_upset "KOS-MOS probably went out of control in here.  I think it will be good to check this place out a little bit."
            jump emptyKOSMOSroom3
        "Pick up":
            voice "Voice Acting/momo337.ogg"
            m_surprise "\"Oh, that's the Professor's disc...\""
            voice "Voice Acting/momo338.ogg"
            m_surprise "\"Ah, no way... maybe...\""
            scene kosmoscontrol
            show koscontrol at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            voice "Voice Acting/momo339.ogg"
            m_surprise "\"As I thought. This is a nanovirus control program...If I analyzed it, I will be able to restore KOS-MOS to her regular self.\""
            jump emptyKOSMOSroom4
            
label emptyKOSMOSroom4:
    menu:
         "Go to B1 corridor":
            m_upset "KOS-MOS probably went out of control in here.  I think it will be good to check this place out a little bit."
            jump emptyKOSMOSroom4
         "Check adjustment tab":
             m "If I use the function of this adjustment tab, I can perform an analysis on this program."
             jump emptyKOSMOSroom4
         "Get to work":
             scene analyzingvirus with fade
             jump quiz
             
label emptyZiggyroom:
    menu:
        "Go to B1 corridor":
            scene elsa basement with fade
            show b1 at Position(xanchor = 0.5, yanchor = 0.5, xpos = 500, ypos =30)
            jump finalmenu
        "Think":
            m "Ziggy and Jr. are giving it all that they have. I need to work hard too!"
            jump emptyZiggyroom